package com.meas.system.domain;

import com.meas.common.annotation.Excel;
import com.meas.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 数据结果对象 meas_data_results
 *
 * @author wgk
 * @date 2024-06-13
 */
public class MeasDataResults extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 测量环境id
     */
    @Excel(name = "测量环境id")
    private String measurementBatchId;

    /**
     * 发动机型号
     */
    private String model;

    /**
     * 几何模型文件
     */
    private String geometryFiles;

    /**
     * 几何模型图片
     */
    private String geometryImage;

    /**
     * 测量批次
     */
    private String measurementBatch;

    /**
     * 发动机状态
     */
    private String engineStatus;

    /**
     * 角度
     */
    private String angle;

    /**
     * 光谱辐射强度3~5μm
     */
    @Excel(name = "光谱辐射强度3~5μm")
    private String specIrr1;

    /**
     * 光谱辐射强度8~14μm
     */
    @Excel(name = "光谱辐射强度8~14μm")
    private String specIrr2;

    /**
     * 波段辐射强度3~5μm
     */
    @Excel(name = "波段辐射强度3~5μm")
    private BigDecimal specBandIrr1;

    /**
     * 波段辐射强度8~14μm
     */
    @Excel(name = "波段辐射强度8~14μm")
    private BigDecimal specBandIrr2;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMeasurementBatchId() {
        return measurementBatchId;
    }

    public void setMeasurementBatchId(String measurementBatchId) {
        this.measurementBatchId = measurementBatchId;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getGeometryFiles() {
        return geometryFiles;
    }

    public void setGeometryFiles(String geometryFiles) {
        this.geometryFiles = geometryFiles;
    }

    public String getGeometryImage() {
        return geometryImage;
    }

    public void setGeometryImage(String geometryImage) {
        this.geometryImage = geometryImage;
    }

    public String getMeasurementBatch() {
        return measurementBatch;
    }

    public void setMeasurementBatch(String measurementBatch) {
        this.measurementBatch = measurementBatch;
    }

    public String getEngineStatus() {
        return engineStatus;
    }

    public void setEngineStatus(String engineStatus) {
        this.engineStatus = engineStatus;
    }

    public String getAngle() {
        return angle;
    }

    public void setAngle(String angle) {
        this.angle = angle;
    }

    public String getSpecIrr1() {
        return specIrr1;
    }

    public void setSpecIrr1(String specIrr1) {
        this.specIrr1 = specIrr1;
    }

    public String getSpecIrr2() {
        return specIrr2;
    }

    public void setSpecIrr2(String specIrr2) {
        this.specIrr2 = specIrr2;
    }

    public BigDecimal getSpecBandIrr1() {
        return specBandIrr1;
    }

    public void setSpecBandIrr1(BigDecimal specBandIrr1) {
        this.specBandIrr1 = specBandIrr1;
    }

    public BigDecimal getSpecBandIrr2() {
        return specBandIrr2;
    }

    public void setSpecBandIrr2(BigDecimal specBandIrr2) {
        this.specBandIrr2 = specBandIrr2;
    }

    @Override
    public String toString() {
        return "MeasDataResults{" +
                "id=" + id +
                ", measurementBatchId='" + measurementBatchId + '\'' +
                ", model='" + model + '\'' +
                ", geometryFiles='" + geometryFiles + '\'' +
                ", geometryImage='" + geometryImage + '\'' +
                ", measurementBatch='" + measurementBatch + '\'' +
                ", engineStatus='" + engineStatus + '\'' +
                ", angle='" + angle + '\'' +
                ", specIrr1='" + specIrr1 + '\'' +
                ", specIrr2='" + specIrr2 + '\'' +
                ", specBandIrr1=" + specBandIrr1 +
                ", specBandIrr2=" + specBandIrr2 +
                '}';
    }
}
